Subject: bug#10442: closed (Re: bug#10442: maybe a bug for "tail")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Jan 2012 09:50:02 +0000

Your bug report

#10442: maybe a bug for "tail"

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10442: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10442
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10442: maybe a bug for "tail"
From: Pádraig Brady <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked], yukuan <[email-masked]>
Date: Mon, 09 Jan 2012 09:49:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 10442 notabug

On 01/06/2012 10:58 AM, Andreas Schwab wrote:
> yukuan <[email-masked]> writes:
> 
>> When I user "tail -f FILENAME" to follow a file, which is continually growing, the output sometimes stops. When I press ctrl-c to quit and right immediately follow the same file, output would continue. And I found the file is growing while the output stops.
> 
> Does it also happen if you use "tail -F"?

In private mails, the user confirmed that
the file is being renamed, and thus -F is required.

cheers,
Pádraig.

Subject: maybe a bug for "tail"
From: yukuan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 06 Jan 2012 07:27:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When I user "tail -f FILENAME" to follow a file, which is continually growing, the output sometimes stops. When I press ctrl-c to quit and right immediately follow the same file, output would continue. And I found the file is growing while the output stops.
(BTW, it's a log file with timestamp, so I am sure the file is growing. And while writing this mail, the file in another window stops, again.)
Maybe it is a bug, or not. Please explain this for me.
Thanks!